Subject: bug#46391: closed (Re: bug#46391: [PATCH 0/1] Canonicalize-path load-path option)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Feb 2021 22:48:02 +0000

Your bug report

#46391: [PATCH 0/1] Canonicalize-path load-path option

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46391: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46391
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46391: [PATCH 0/1] Canonicalize-path load-path option
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Wed, 24 Feb 2021 23:46:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

zimoun <[email-masked]> skribis:

> This fixes <https://bugs.gnu.org/46390>.
>
> The test suite does not check relative path for the load-path option.
> I do not know what is the best to add a test about that.
>
> Last, I remember discussions about absolute/relative path and I do not know
> if this 'canonicalize-path' addition is the best fix here.
>
>
> All the best,
> simon
>
>
> zimoun (1):
>   scripts: build: Fix relative load-path.
>
>  guix/scripts/build.scm | 16 +++++++++-------
>  1 file changed, 9 insertions(+), 7 deletions(-)

I’m discovering this after having independently addreses #46390, sorry
about that!  (Perhaps we should always send patches that fix bugs to the
corresponding bug report rather than/in addition to guix-patches?)

Let me know what you think.

Thanks,
Ludo’.

Subject: [PATCH 0/1] Canonicalize-path load-path option
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Tue, 9 Feb 2021 01:40:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This fixes <https://bugs.gnu.org/46390>.

The test suite does not check relative path for the load-path option.
I do not know what is the best to add a test about that.

Last, I remember discussions about absolute/relative path and I do not know
if this 'canonicalize-path' addition is the best fix here.

All the best,
simon

zimoun (1):
  scripts: build: Fix relative load-path.

 guix/scripts/build.scm | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

base-commit: 4cd8bab7d4b345c5538b8d039d84a957df7a235f
-- 
2.29.2